package models

import "time"

type Organization struct {
	Id              string `gorm:"primaryKey;type:varchar(36)"`
	Subdomain       string `gorm:"type:varchar(255)"`
	OwnerUserId     string `gorm:"type:varchar(36)"`
	CompanyName     string `gorm:"type:varchar(255)"`
	PrimaryColor    string `gorm:"type:varchar(6)"`
	LogoUrl         string `gorm:"type:varchar(255)"`
	BannerUrl       string `gorm:"type:varchar(255)"`
	SignUpScreenUrl string `gorm:"type:varchar(255)"`
	CreatedAt       time.Time
	UpdatedAt       time.Time
}
